pro provtracepos, heures, canaux, xrange, yrange
;
; Programme provisoire de trace d'une (seule) position sur un trace
; d'isophotes. A remplacer par traceposios.pro des que les procedures de
; lecture et d'ecriture des fichiers de position auront ete mises au point.
;
; KLK, 21/3/1996

npts = N_ELEMENTS(canaux)
deltat = (heures(1)-heures(0))/(npts-1)
temps = heures(0) + indgen(npts)*deltat
color = 80

plot, temps, canaux,/noerase,$
     CHARSIZE = 0.6, XCHARSIZE = 1.0, YCHARSIZE = 1.0, $
;     XMARGIN = [17,4],YMARGIN=[9,2], $
     xrange=xrange,yrange=yrange,COLOR=color,XSTYLE=5,YSTYLE=5

END
