; ---------------------------------------------------------------- 
;                  RH_READB, klu
; ---------------------------------------------------------------- 
; Lit l'acquisition klu dans bFI du common RH, decode dans luFI 	
; 
; INPUTS:
;	klu  : numero de l'acquisition a lire	LONG
;	       debut du fichier = 0L
;
; COMMON BLOCKS: 
;       RH
; -----------------------------------------------------------------  

PRO RH_READB, klu

@rh_common.inc

  bFI = aFI(klu)
  IF (entFI.endian EQ 1) THEN bFI = swap_endian(bFI)
  CASE entFI.typ OF
       '1' : luFI.g = bFI.g
       '2' : BEGIN
             luFI.g(0:1) = bFI.g(1:2)
             luFI.g(2)   = bFI.g(0)
             END
       '3' : BEGIN
             luFI.g = bFI.g AND 15
             hlu=intarr(4)
             hlu = rh_decodh(bFI.h)
             bfi.h = hlu
             END
       '4' : BEGIN
             luFI.g = bFI.g AND 15
             hlu=intarr(4)
             hlu = rh_decodh(bFI.h)
             bfi.h = hlu
         END
  ENDCASE
  luFI.pt = float(bFI.pt)
  RETURN

END
