
;+ ***********************************************************************
; NAME:
;	NRH_STR_FIC__DEFINE
;
; PURPOSE:
;	Definition de la structure STR_FIC.
;NRH_STR_FIC= {NRH_STR_FIC,
;		 rep: ' ',	Repertoire (repertoire courant par defaut)
;		 file: ' ', 	Nom du fichier
;		Filtre:'*.* '	Filtre de selection
;		Freq:'*'
;		Date:'*;'
;		HR:'*'
;		TYP:'?'}	Type (voir cw_nrhfile)
;
; CATEGORY:
;	Structure
;
; MODIFICATION HISTORY:
;	Ecrit par:J Bonmartin le 04/06/98
;-*******************************************************************

PRO NRH_STR_FIC__DEFINE 


	NRH_STR_FIC= {NRH_STR_FIC, rep: '', file: '', $
			Filtre:'*.*', $
			freq: '????', $
			date: '????????', $
			hr: '??????', $
			Typ: '?'}

END