
;+ ***********************************************************************
; NAME:
;	NRH_STR_LABEL__DEFINE
;
; PURPOSE:
;	Definition de la structure gerant les labels.
;
; CATEGORY:
;	Structures
;
; PROCEDURE:
;	Le label cree par CRE_LABELNRH contient les informations suivantes
;	si le champ est =1
;	FREE est laisse a l'utilisateur pour entrer son propre label
;.	NRH_STR_LABEL = {Nrh_Str_label, $	
;				Date:1, $	
;				Heure:1,$
;				Freq:1, $
;				Instrume:0, $
;			 	Physpar:0,$
;				AXIS:0,$
;				CHARSIZE:0.8,$
;				 Free:''}
;
; EXAMPLE:
;	Please provide a simple example here
;
; MODIFICATION HISTORY:
;	Ecrit par:J Bonmartin (obspm.fr) le 16/09/98
;	Le 08/01/99	Rajout des champs AXIS, CHARSIZE (JB)
;-*******************************************************************

PRO NRH_STR_LABEL__DEFINE
	NRH_STR_LABEL = {Nrh_Str_label, $
				Date:1, $
				Heure:1,$
				Freq:1, $
				Instrume:1, $
			 	Physpar:1,$
				Axis:0,$
				Charsize:0.0,$
				 Free:''}
END