FUNCTION NUMCANAL, cnldeb, dx, NUMBER=number, CHANNEL=channel

;          fonction qui calcule le numero du point d'un tableau de
;          canaux (positions 1D RH) correspondant a un canal donne ou le canal
;          correspondant a un numero de point donne.
;
;	   Date de creation:		9 fevrier 1996 (KLK)
;          Derniere modification :	2 fevrier 1998 (KLK)
;
; Parametres:	cnldeb	Canal de reference
;		dx	Distance (en canaux) entre deux points voisins
;		NUMBER	si indique, calculer la valeur du canal
;		CHANNEL	si indique, calculer le numero du point
;

IF N_Params() LT 2 THEN BEGIN
   Print, ''
   Print, 'Erreur: aucune valeur d''entree  ! '
   Print,''
   RETURN, -333.
ENDIF

canal =   cnldeb
IF KEYWORD_SET(number) THEN BEGIN
	canal = cnldeb + FLOAT(number)*dx
	RETURN, canal
ENDIF ELSE BEGIN
	num = FIX( (channel-cnldeb)/dx + 0.1)
	RETURN, num
ENDELSE

END

