PRO GET_LOBE_FROM_RH, file, freq, heure
; EX GET_LOBE_FROM_RH, '/data/nancay/2q031028.01', 164., [10,30,00,00]
;  un fichier de donnees est necessaire pour en extraire la date,
;   hmer et decl 
@rh_common.inc
    if (not rh_open(file, /mono        )) then begin 
        print, 'File not FOUND : ', file
        return
    endif
 rh_init_initmalax
 rh_ellipse_maille,ellipse, freq, heure
print,'    ELLIPSE    tableau contenant :'
print,'	        major axis,  minor axis (in solar_radii),  and angle in'
print,'	        degrees of the major axis with Ox axis.'
print,format=   $
   "(2(i2.2,'/'),i4.4,3x,f6.1,'MHz ',i2.2,':',i2.2,2f6.3,f6.1)",$
      entfi.dat, freq, heure(0:1)
print,format="(' ELLIPSE : ',2(f8.3,' R0'),3x,f6.1, ' degres')", ellipse
rh_close
end
