; ---------------------------------------------------------------- 
;                  RH_READ, klu
; ---------------------------------------------------------------- 
; Lit et decode l'acquisition klu dans bFI et luFI du common RH	
; 
; INPUTS:
;	klu  : numero de l'acquisition a lire	LONG
;	       debut du fichier = 0L
;
; COMMON BLOCKS: 
;       RH
;
; -----------------------------------------------------------------  

PRO RH_READ, klu

@rh_common.inc
  RH_READB, klu
  for nf=0,n_elements(lufi)-1 do begin
     g = 2.^luFI(nf).g
     luFI(nf).pt = g(sFI.tFI)*luFI(nf).pt
  endfor
  RETURN

END
