; ---------------------------------------------------------------- 
;                  RH_READSEL, klu
; ---------------------------------------------------------------- 
; Lit l'acquisition klu dans bFI du common RH	
; Decode la frequence nof non polar ou polar dans luFI du common RH
; 
; INPUTS:
;	klu  : numero de l'acquisition a lire	LONG
;	       debut du fichier = 0L
;	nof  : numero de frequence
;	npol : 0-Non Polar, 1-Polar
;
; COMMON BLOCKS: 
;       RH
;
; -----------------------------------------------------------------  

PRO RH_READSEL, klu, nof, npol

@rh_common.inc

  RH_READBSEL, klu, nof, npol
  IF entFI.typ NE 3 then begin
      g = 2.^luFI.g
      luFI.pt = g(sFI.tFI(0:1,*))*luFI.pt
  endif
  RETURN

END
