
;+ ***********************************************************************
; NAME:
;	NRH_STR_IMAGE__DEFINE
;
; PURPOSE:
;	Definition de la structure NRH_STR_IMAGE
;
;NRH_STR_IMAGE = {NRH_STR_IMAGE, $
;	DATE:'', $	;date
;	TIME:'', $	;Heure de l'image
;	PHYSPAR:'', $	;Chaine de caracteres decrinant l'image
;			;exemple: STOKESI ou STOKESV pour nrh2d
;	FREQ:'', $	;identification de la longueur d'onde pour NRH
;			;ou WAVELENTH. Cchaine de caracteres ecrite dans 
;			;l'image
;	INSTRUME:'', $	;Instrument d'origine
;	CRPIXX:0.0, $	;Coordonnee EW du centre en pixels
;	CRPIXY:0.0, $	;Coordonnee NS du centre en pixels
;	RAY:0.0}	;rayon solaire en pixel
;
; CATEGORY:
;	Structure
;
; MODIFICATION HISTORY:
;	Ecrit par:J Bonmartin le 04/06/98
;-*******************************************************************

PRO NRH_STR_IMAGE__DEFINE

NRH_STR_IMAGE = {NRH_STR_IMAGE, $
	DATE:'', $
	TIME:'', $
	PHYSPAR:'', $	;Chaine de caracteres decrinant l'image
			;exemple: STOKESI ou STOKESV pour nrh2d
	FREQ:'', $	;Longueur d'onde pour NRH, ou WAVELENTH
	INSTRUME:'', $
	CRPIXX:0.0, $	;Coordonnee EW du centre en pixels
	CRPIXY:0.0, $
	RAY:0.0}

END